#!/bin/bash
###############################################################################
#
# Bash Remediation Script for Profile for ANSSI DAT-NT28 Minimal Level
#
# Profile Description:
# This profile contains items to be applied systematically.
#
# Profile ID:  anssi_np_nt28_minimal
# Benchmark ID:  DEBIAN-8
# Benchmark Version:  0.1.39
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.3.2 using:
# $ oscap xccdf generate fix --profile anssi_np_nt28_minimal --fix-type bash xccdf-file.xml
#
# This Bash Remediation Script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this Bash Remediation Script:
# $ sudo ./remediation-script.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 16) for 'package_nis_removed'
###############################################################################
(>&2 echo "Remediating rule 1/16: 'package_nis_removed'")
# CAUTION: This remediation script will remove nis
#	   from the system, and may remove any packages
#	   that depend on nis. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge nis

# END fix for 'package_nis_removed'

###############################################################################
# BEGIN fix (2 / 16) for 'package_inetutils-telnetd_removed'
###############################################################################
(>&2 echo "Remediating rule 2/16: 'package_inetutils-telnetd_removed'")
# CAUTION: This remediation script will remove inetutils-telnetd
#	   from the system, and may remove any packages
#	   that depend on inetutils-telnetd. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge inetutils-telnetd

# END fix for 'package_inetutils-telnetd_removed'

###############################################################################
# BEGIN fix (3 / 16) for 'package_telnetd-ssl_removed'
###############################################################################
(>&2 echo "Remediating rule 3/16: 'package_telnetd-ssl_removed'")
# CAUTION: This remediation script will remove telnetd-ssl
#	   from the system, and may remove any packages
#	   that depend on telnetd-ssl. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge telnetd-ssl

# END fix for 'package_telnetd-ssl_removed'

###############################################################################
# BEGIN fix (4 / 16) for 'package_telnetd_removed'
###############################################################################
(>&2 echo "Remediating rule 4/16: 'package_telnetd_removed'")
# CAUTION: This remediation script will remove telnetd
#	   from the system, and may remove any packages
#	   that depend on telnetd. Execute this
#	   remediation AFTER testing on a non-production
#	   system!

apt-get remove --purge telnetd

# END fix for 'package_telnetd_removed'

###############################################################################
# BEGIN fix (5 / 16) for 'apt_conf_disallow_unauthenticated'
###############################################################################
(>&2 echo "Remediating rule 5/16: 'apt_conf_disallow_unauthenticated'")
(>&2 echo "FIX FOR THIS RULE 'apt_conf_disallow_unauthenticated' IS MISSING!")

# END fix for 'apt_conf_disallow_unauthenticated'

###############################################################################
# BEGIN fix (6 / 16) for 'apt_sources_list_official'
###############################################################################
(>&2 echo "Remediating rule 6/16: 'apt_sources_list_official'")
(>&2 echo "FIX FOR THIS RULE 'apt_sources_list_official' IS MISSING!")

# END fix for 'apt_sources_list_official'

###############################################################################
# BEGIN fix (7 / 16) for 'service_syslogng_enabled'
###############################################################################
(>&2 echo "Remediating rule 7/16: 'service_syslogng_enabled'")
(>&2 echo "FIX FOR THIS RULE 'service_syslogng_enabled' IS MISSING!")

# END fix for 'service_syslogng_enabled'

###############################################################################
# BEGIN fix (8 / 16) for 'package_syslogng_installed'
###############################################################################
(>&2 echo "Remediating rule 8/16: 'package_syslogng_installed'")
(>&2 echo "FIX FOR THIS RULE 'package_syslogng_installed' IS MISSING!")

# END fix for 'package_syslogng_installed'

###############################################################################
# BEGIN fix (9 / 16) for 'service_rsyslog_enabled'
###############################################################################
(>&2 echo "Remediating rule 9/16: 'service_rsyslog_enabled'")
(>&2 echo "FIX FOR THIS RULE 'service_rsyslog_enabled' IS MISSING!")

# END fix for 'service_rsyslog_enabled'

###############################################################################
# BEGIN fix (10 / 16) for 'package_rsyslog_installed'
###############################################################################
(>&2 echo "Remediating rule 10/16: 'package_rsyslog_installed'")
(>&2 echo "FIX FOR THIS RULE 'package_rsyslog_installed' IS MISSING!")

# END fix for 'package_rsyslog_installed'

###############################################################################
# BEGIN fix (11 / 16) for 'sudo_remove_no_authenticate'
###############################################################################
(>&2 echo "Remediating rule 11/16: 'sudo_remove_no_authenticate'")
(>&2 echo "FIX FOR THIS RULE 'sudo_remove_no_authenticate' IS MISSING!")

# END fix for 'sudo_remove_no_authenticate'

###############################################################################
# BEGIN fix (12 / 16) for 'sudo_remove_nopasswd'
###############################################################################
(>&2 echo "Remediating rule 12/16: 'sudo_remove_nopasswd'")
(>&2 echo "FIX FOR THIS RULE 'sudo_remove_nopasswd' IS MISSING!")

# END fix for 'sudo_remove_nopasswd'

###############################################################################
# BEGIN fix (13 / 16) for 'file_permissions_etc_group'
###############################################################################
(>&2 echo "Remediating rule 13/16: 'file_permissions_etc_group'")
chmod 0644 /etc/group

# END fix for 'file_permissions_etc_group'

###############################################################################
# BEGIN fix (14 / 16) for 'file_permissions_etc_shadow'
###############################################################################
(>&2 echo "Remediating rule 14/16: 'file_permissions_etc_shadow'")
chmod 0640 /etc/shadow

# END fix for 'file_permissions_etc_shadow'

###############################################################################
# BEGIN fix (15 / 16) for 'file_permissions_etc_gshadow'
###############################################################################
(>&2 echo "Remediating rule 15/16: 'file_permissions_etc_gshadow'")
chmod 0640 /etc/gshadow

# END fix for 'file_permissions_etc_gshadow'

###############################################################################
# BEGIN fix (16 / 16) for 'file_permissions_etc_passwd'
###############################################################################
(>&2 echo "Remediating rule 16/16: 'file_permissions_etc_passwd'")
chmod 0644 /etc/passwd

# END fix for 'file_permissions_etc_passwd'

