#!/bin/bash
###############################################################################
#
# Bash Remediation Script for Security Profile of Oracle Linux 7 for SAP
#
# Profile Description:
# This profile contains rules for Oracle Linux 7 Operating System
# in compliance with SAP note 2069760 and SAP Security Baseline v1.9
# Item I-8 and section 4.1.2.2. Regardless of your system's workload
# all of these checks should pass.
#
# Profile ID:  sap
# Benchmark ID:  OL-7
# Benchmark Version:  0.1.39
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.3.2 using:
# $ oscap xccdf generate fix --profile sap --fix-type bash xccdf-file.xml
#
# This Bash Remediation Script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this Bash Remediation Script:
# $ sudo ./remediation-script.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 6) for 'service_rlogin_disabled'
###############################################################################
(>&2 echo "Remediating rule 1/6: 'service_rlogin_disabled'")
(>&2 echo "FIX FOR THIS RULE 'service_rlogin_disabled' IS MISSING!")

# END fix for 'service_rlogin_disabled'

###############################################################################
# BEGIN fix (2 / 6) for 'service_rsh_disabled'
###############################################################################
(>&2 echo "Remediating rule 2/6: 'service_rsh_disabled'")
(>&2 echo "FIX FOR THIS RULE 'service_rsh_disabled' IS MISSING!")

# END fix for 'service_rsh_disabled'

###############################################################################
# BEGIN fix (3 / 6) for 'no_rsh_trust_files'
###############################################################################
(>&2 echo "Remediating rule 3/6: 'no_rsh_trust_files'")
(>&2 echo "FIX FOR THIS RULE 'no_rsh_trust_files' IS MISSING!")

# END fix for 'no_rsh_trust_files'

###############################################################################
# BEGIN fix (4 / 6) for 'file_permissions_etc_shadow'
###############################################################################
(>&2 echo "Remediating rule 4/6: 'file_permissions_etc_shadow'")
(>&2 echo "FIX FOR THIS RULE 'file_permissions_etc_shadow' IS MISSING!")

# END fix for 'file_permissions_etc_shadow'

###############################################################################
# BEGIN fix (5 / 6) for 'package_glibc_installed'
###############################################################################
(>&2 echo "Remediating rule 5/6: 'package_glibc_installed'")
(>&2 echo "FIX FOR THIS RULE 'package_glibc_installed' IS MISSING!")

# END fix for 'package_glibc_installed'

###############################################################################
# BEGIN fix (6 / 6) for 'package_uuidd_installed'
###############################################################################
(>&2 echo "Remediating rule 6/6: 'package_uuidd_installed'")
(>&2 echo "FIX FOR THIS RULE 'package_uuidd_installed' IS MISSING!")

# END fix for 'package_uuidd_installed'

